RestoreRedundancyResults (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.runtime, interface: RestoreRedundancyResults

Package org.apache.geode.management.runtime

# Interface RestoreRedundancyResults

All Superinterfaces:
  `JsonSerializable`, `OperationResult`, `Serializable`

@Experimental public interface RestoreRedundancyResults extends OperationResult
A class to collect the results of restore redundancy operations for one or more regions and determine the success of failure of the operation.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `RestoreRedundancyResults.Status`
  `RestoreRedundancyResults.Status.SUCCESS` is defined as every included region having fully satisfied redundancy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getIncludedRegionsWithNoMembers()`
  If user specified "includedRegion" list, but some of the regions in the list are not found in any members, this list would include those regions.
  `String`
  `getRegionOperationMessage()`
  Returns a message describing the results of this restore redundancy operation.
  `RestoreRedundancyResults.Status`
  `getRegionOperationStatus()`
  Returns the `RestoreRedundancyResults.Status` of this restore redundancy operation.
  `RegionRedundancyStatus`
  `getRegionResult(String regionName)`
  Returns the `RegionRedundancyStatus` for a specific region or null if that region is not present in this `RestoreRedundancyResults`.
  `Map<String,RegionRedundancyStatus>`
  `getRegionResults()`
  Returns all the `RegionRedundancyStatuses` contained in this `RestoreRedundancyResults`.
  `Map<String,RegionRedundancyStatus>`
  `getSatisfiedRedundancyRegionResults()`
  Returns all the `RegionRedundancyStatuses` for regions with redundancy satisfied.
  `int`
  `getTotalPrimaryTransfersCompleted()`
  Returns the total number of primaries that were transferred as part of the restore redundancy operations.
  `long`
  `getTotalPrimaryTransferTime()`
  Returns the total time spent transferring primaries as part of the restore redundancy operations.
  `Map<String,RegionRedundancyStatus>`
  `getUnderRedundancyRegionResults()`
  Returns all the `RegionRedundancyStatuses` for regions with with at least one redundant copy, but fewer than the configured number of redundant copies.
  `Map<String,RegionRedundancyStatus>`
  `getZeroRedundancyRegionResults()`
  Returns all the `RegionRedundancyStatuses` for regions with configured redundancy but zero actual redundant copies.

  ### Methods inherited from interface org.apache.geode.management.runtime.OperationResult

  `getStatusMessage, getSuccess`

- ## Method Details

  - ### getRegionOperationStatus

    RestoreRedundancyResults.Status getRegionOperationStatus()
    Returns the `RestoreRedundancyResults.Status` of this restore redundancy operation. Possible statuses are `RestoreRedundancyResults.Status.SUCCESS`, `RestoreRedundancyResults.Status.FAILURE`
    Returns:
      The `RestoreRedundancyResults.Status` of this restore redundancy operation.

  - ### getRegionOperationMessage

    String getRegionOperationMessage()
    Returns a message describing the results of this restore redundancy operation.
    Returns:
      A `String` describing the results of this restore redundancy operation.

  - ### getRegionResult

    RegionRedundancyStatus getRegionResult(String regionName)
    Returns the `RegionRedundancyStatus` for a specific region or null if that region is not present in this `RestoreRedundancyResults`.
    Parameters:
      `regionName` - The region to which the `RegionRedundancyStatus` to be returned belongs.
    Returns:
      A `RegionRedundancyStatus` for the specified region or null if that region is not present in this `RestoreRedundancyResults`.

  - ### getZeroRedundancyRegionResults

    Map<String,RegionRedundancyStatus> getZeroRedundancyRegionResults()
    Returns all the `RegionRedundancyStatuses` for regions with configured redundancy but zero actual redundant copies.
    Returns:
      A `Map` of `String` region name to `RegionRedundancyStatus` for every region contained in this `RestoreRedundancyResults` with configured redundancy but zero actual redundant copies.

  - ### getUnderRedundancyRegionResults

    Map<String,RegionRedundancyStatus> getUnderRedundancyRegionResults()
    Returns all the `RegionRedundancyStatuses` for regions with with at least one redundant copy, but fewer than the configured number of redundant copies.
    Returns:
      A `Map` of `String` region name to `RegionRedundancyStatus` for every region contained in this `RestoreRedundancyResults` with at least one redundant copy, but fewer than the configured number of redundant copies.

  - ### getSatisfiedRedundancyRegionResults

    Map<String,RegionRedundancyStatus> getSatisfiedRedundancyRegionResults()
    Returns all the `RegionRedundancyStatuses` for regions with redundancy satisfied.
    Returns:
      A `Map` of `String` region name to `RegionRedundancyStatus` for every region contained in this `RestoreRedundancyResults` with redundancy satisfied.

  - ### getRegionResults

    Map<String,RegionRedundancyStatus> getRegionResults()
    Returns all the `RegionRedundancyStatuses` contained in this `RestoreRedundancyResults`. This method may return the actual backing map depending on implementation.
    Returns:
      A `Map` of `String` region name to `RegionRedundancyStatus` for every region contained in this `RestoreRedundancyResults`.

  - ### getTotalPrimaryTransfersCompleted

    int getTotalPrimaryTransfersCompleted()
    Returns the total number of primaries that were transferred as part of the restore redundancy operations.
    Returns:
      the total number of primaries that were transferred

  - ### getTotalPrimaryTransferTime

    long getTotalPrimaryTransferTime()
    Returns the total time spent transferring primaries as part of the restore redundancy operations.
    Returns:
      A `long` representing the total time in milliseconds spent transferring primaries

  - ### getIncludedRegionsWithNoMembers

    List<String> getIncludedRegionsWithNoMembers()
    If user specified "includedRegion" list, but some of the regions in the list are not found in any members, this list would include those regions.
    Returns:
      a List of region names for which no hosting members were found